RagTime5GraphInternal::FloatParser Struct Referencefinal

Internal: the helper to read a int16 float. More...

Inheritance diagram for RagTime5GraphInternal::FloatParser:

## Public Member Functions
| FloatParser (std::string const &zoneName)
| constructor
| ~FloatParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a int16 float.

## Constructor & Destructor Documentation

## ◆ FloatParser()

RagTime5GraphInternal::FloatParser::FloatParser | ( | std::string const & | zoneName | ) |
| inline explicit

constructor

## ◆ ~FloatParser()

RagTime5GraphInternal::FloatParser::~FloatParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ parseData()

bool RagTime5GraphInternal::FloatParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx